인증
Bearer 토큰으로 API 키를 전송하세요. 이 엔드포인트는 명세에 특정 권한을 명시하지 않으므로, 가정하기보다는 키에 필요한 최소한의 권한을 부여하고 응답을 확인하세요.
이 엔드포인트는 조직 ID를 받지 않습니다. 사용자의 키가 이미 속한 조직을 식별하며, 응답은 해당 조직으로 한정됩니다.
무료 체험하기
대괄호 안에 있는 모든 내용을 사용자 지정 값으로 바꾸고, 키 플레이스홀더는 대시보드의 키로 바꾸세요.
curl -X POST https://api.zinndigital.com/v1/fleet/drain \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "instance_id": <string> }'로그인하셨나요? 대시보드의 API 콘솔이 실제 조직 ID와 본인의 키를 자동으로 채우고 라이브 API를 대상으로 요청을 실행하므로 실제 응답을 확인할 수 있습니다. API 콘솔에서 이 엔드포인트를 여세요
상세 정보
The only availability change a box may make for itself, and safe in the direction it moves: a host can take itself **out** of service and never back **in**. Returning requires either the once-only first-heartbeat promotion or a staff undrain (`setWorkerDrain`). Idempotent; a `decommissioned` host is left alone.
요청 본문
| 이름 | 유형 | 필수 | 설명 |
|---|---|---|---|
instance_id | string | 예 | — |
응답
| 이름 | 유형 | 필수 | 설명 |
|---|---|---|---|
worker_id | string | 아니요 | — |
hostname | string | 아니요 | — |
status | string<provisioning, active, draining, down, decommissioned> | 아니요 | — |
accepts_deploys | boolean | 아니요 | — |
region | string | 아니요 | — |
pool | string | 아니요 | — |
driver | string | 아니요 | — |
capacity | integer | 아니요 | — |
product_lines | string[] | 아니요 | — |
heartbeat_interval_seconds | integer | 아니요 | How often to heartbeat, decided engine-side. The box no longer reads its own interval from an env file, so "the host-down window is ten missed beats" stays a fact about the depl… |
이 엔드포인트가 반환할 수 있는 오류
401 · 422 · 429